Subject: Re: [PATCH net-next v8 10/10] net: airoha: Support multiple LAN/WAN interfaces for hw MAC address configuration

From: Jakub Kicinski <[email-masked]>
Date: Mon, 25 May 2026 12:08:53 -0700

On Sat, 23 May 2026 10:23:55 +0200 Lorenzo Bianconi wrote:
> > If the MACs are not provided something is obviously wrong with the
> > device. We should try to provide enough functionality for the user
> > to be able to troubleshoot. For an AP perhaps that means SSH / remote
> > logs? So switching/routing doesn't have to work, I'd think. 
> > 
> > Will the user be able to log in when REG_FE_LAN_MAC_H does not match
> > the MAC of a port?  
> 
> REG_FE_LAN_MAC_H and REG_FE_WAN_MAC_H regs are used by the FE module to
> hw accelerate forwarded traffic and does not prevent the user to log into
> the device even if they are set to a different values with respect to the
> configured mac addresses (just hw acceleration will not work properly).
> To prove it, I set to 0 REG_FE_WAN_MAC_H, REG_FE_WAN_MAC_LMIN and
> REG_FE_WAN_MAC_LMAX and I still able to ping the device via the WAN
> interface.
> I guess the easiest solution is to neglect errors from airoha_set_macaddr()
> in airoha_dev_init() (as it is in the current codebase) in order to allow
> the device to probe successfully and provide a warning message to the user
> regarding the mac address misconfiguration. What do you think?

Maybe we should also enter some sort of error mode where bridging and
forwarding offloads are rejected? Either way, sounds orthogonal enough
to this series.